//
//  click.h
//
//  Created by AIG-Soft on 11/02/02.
//  Copyright 2011 AIG-Soft. All rights reserved.
//
//  フレームワークにAudioToolbox.framaworkの追加が必要

#import <AudioToolbox/AudioToolbox.h>

typedef struct {
	CFURLRef		soundURL;	// readwrite
	SystemSoundID	soundID;	// readonly
	//
	BOOL		fsound;		// click音のOn/Off
	BOOL		fsound2;	// Stop時元の状態
	NSUInteger	count;		// clickStop()の多重呼び出しカウンター;stopで+1,resumeで-1,=0でfsoundに戻す
} Click;
extern Click click;

void initClick(void);
void _clickSound(void);
void clickOnOff(BOOL onoff);
void clickStop(void);
void clickResume(void);
void deallocClick(void);

#ifdef DEBUG
// クリック音がなった場所を特定するためのマクロ
#define	clickSound()	nslog(@"clickSound:%s(%d)",__FILE__,__LINE__),_clickSound()
#else
#define	clickSound()	_clickSound()
#endif
